All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros Groups
scalar_type.hpp File Reference
`#include <stan/math/prim/mat/fun/Eigen.hpp>`
`#include <stan/math/prim/scal/meta/is_vector.hpp>`
`#include <stan/math/prim/mat/meta/is_vector.hpp>`
`#include <stan/math/prim/arr/meta/is_vector.hpp>`
`#include <stan/math/prim/mat/meta/value_type.hpp>`
`#include <stan/math/prim/scal/meta/value_type.hpp>`

Go to the source code of this file.

## Classes

struct | stan::scalar_type< T >
| Metaprogram structure to determine the base scalar type of a template argument. More...
struct | stan::scalar_type< Eigen::Matrix< T, Eigen::Dynamic, Eigen::Dynamic > >
struct | stan::scalar_type< T * >

## Namespaces

| stan

[ Stan Home Page ] © 2011–2015, Stan Development Team.